
import {arc} from 'd3'

export const Mouth = ({mouthRadius, mouthWidth, toothSize}) => {
  
const mouthArc = arc()
  .innerRadius(mouthRadius)
  .outerRadius(mouthRadius+mouthWidth)
  .startAngle(Math.PI / 2)
  .endAngle( Math.PI * 3/2);
  
  return (
    <>
      <rect x={toothSize/4} y={mouthRadius} width={toothSize} height={toothSize} fill="white" stroke="black"/>
      <rect x={-toothSize} y={mouthRadius} width={toothSize} height={toothSize} fill="white" stroke="black"/>
      <path d= {mouthArc()} />
    </>
)}
