import Face from './Face'
import Eye from './Eye'
import {Mouth} from './Mouth'
import {Nose} from './Nose'
import { FaceContainer } from './FaceContainer'


const SmileyFace = ({ width ,
 height ,
 border ,
 eyeOffsetX,
 eyeOffsetY,
 eyeRadius,
 mouthWidth,
 mouthRadius,
 toothSize,
 noseX,
 noseY,
 noseSize}) => (
  <FaceContainer width={width} height={height}>
     <Face height={height} border={border} />
     <Eye eyeOffsetX={-eyeOffsetX} eyeOffsetY={-eyeOffsetY} eyeRadius={eyeRadius} />
     <Eye eyeOffsetX={eyeOffsetX} eyeOffsetY={-eyeOffsetY} eyeRadius={eyeRadius} />
     <Nose noseX={noseX} noseY={noseY} noseSize={noseSize}/>
     <Mouth mouthWidth={mouthWidth} mouthRadius={mouthRadius} toothSize={toothSize} />
 </FaceContainer>
)

export default SmileyFace