import React from 'react'
import ReactDOM from 'react-dom'
import SmileyFace from './SmileyFace'
import {range } from 'd3'


const width = 160;
const height = 160;

const array = range(6*3);

const App = () => array.map( () => (  <SmileyFace width ={width}
    height={height}
    border={5}
    eyeOffsetX={15 + (Math.random()*20)}
    eyeOffsetY={30 + (Math.random()*15)}
    eyeRadius={10 + (Math.random()*10)}
    mouthWidth={5 + (Math.random()*3)}
    mouthRadius={45 + (Math.random()*10)}
    toothSize={15 + (Math.random()*8)}
    noseX={-3 + (Math.random()*1)}
    noseY={-10 + (Math.random()*2)}
    noseSize={10 + (Math.random()*5)}/>  ))



const root = document.getElementById('root')

ReactDOM.render(
  <React.StrictMode>
    <App />
  </React.StrictMode> ,
  root
);
